Package net.rubygrapefruit.platform.internal

# Class FileSystemList

java.lang.Object
net.rubygrapefruit.platform.internal.FileSystemList

public class FileSystemList extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final List<FileSystemInfo>`
`fileSystems`

## Constructor Summary

Constructors
Constructor
Description
`FileSystemList()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(String mountPoint, String fileSystemName, String deviceName, boolean remote, boolean caseSensitive, boolean casePreserving)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### fileSystems

public final List<FileSystemInfo> fileSystems

## Constructor Details

### FileSystemList

public FileSystemList()

## Method Details

### add

public void add(String mountPoint, String fileSystemName, String deviceName, boolean remote, boolean caseSensitive, boolean casePreserving)